package de.unisaar.jfap.ex5.task3;

/**
 * Files with name and size.
 *
 * @author Jörg Steffen, DFKI
 */
public class File {

  private String name;
  private int size;

  File(String name, String sizeString) {
    this.name = name;
    this.size = Integer.parseInt(sizeString);
  }

  public String getName() {
    return this.name;
  }

  public int getSize() {
    return this.size;
  }

  @Override
  public String toString() {
    return String.format("%s: %,d", this.name, this.size);
  }
}
